Subject: Re: Oklahoma ?
From: "Rhonda R. Ames" <[email-masked]>
To: "Mike" <[email-masked]>
Date: Tue, 4 Mar 2008 14:53:30 -0500

Hi Mike,

I am again working on Oklahoma.  I have now called the Oklahoma Human Rights Department asking them to send me the English and Spanish versions of whatever poster it is that they require.  

At the rate that Oklahoma seems to be responding to requests, I might just suggest putting the Spanish on hold.  But, I am trying to get what you need.  So if you give me until the end of the week, then I should know more. 

Rhonda
  ----- Original Message ----- 
  From: Mike 
  To: Rhonda Ames 
  Sent: Monday, March 03, 2008 11:38 AM
  Subject: Oklahoma ?

  Hi Rhonda.
  I am just following up on the status on the Oklahoma posters.  Any idea when you will have those completed?  Primarily I am trying to get the Spanish posters created but I need those English done first.  If it is going to be a while, I may just hold off and print the Spanish when we redo next years posters.  Let me know asap.
  Thank you,
  Michael Bishop
  Labor Law Poster Service
  Phone 877-321-4144
  Fax 888-442-4144
  [email-masked]